package io.zipcoder.tc_spring_poll_application.controller;

import io.zipcoder.tc_spring_poll_application.domain.Option;
import io.zipcoder.tc_spring_poll_application.repositories.OptionRepository;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.HttpStatus;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
public class OptionsController {

    @Autowired
    OptionRepository optionRepository;

    @GetMapping
    public ResponseEntity<Iterable<Option>> index() {
        return new ResponseEntity<>(optionRepository.findAll(), HttpStatus.OK);
    }
}
